%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define req_libgnome_version 2.0.2
%define req_libgtkhtml_version 2.1.2
%define req_gnome_doc_utils_version 0.3.2
%define xulrunner 1.9
%define xullibname %mklibname xulrunner %xulrunner
%define xulver %(rpm -q --queryformat %%{VERSION} %xullibname)

Summary:	GNOME 2 help browser
Name:		yelp
Version:	2.26.0
Release:	%mkrel 2
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	yelp.png
#gw from Fedora, build with xulrunner
Patch0: yelp-libxul.patch
# from Fedora: register docbook mime type for yelp
Patch2:		yelp-2.13.2-add-mime-handling.patch
# (fc) 2.4.2-4mdk strip newline from title 
Patch4:		yelp-2.6.0-title.patch
URL:		http://live.gnome.org/Yelp
License:	GPLv2+
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	libgnome2 >= %{req_libgnome_version}
Requires:	gnome-doc-utils >= %{req_gnome_doc_utils_version}
Requires:	%xullibname = %xulver
Requires:	man
BuildRequires:	gettext
BuildRequires:	libglade2.0-devel
BuildRequires:	xulrunner-devel-unstable >= %xulrunner
BuildRequires:	libgnome2-devel >= %{req_libgnome_version}
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	startup-notification-devel
BuildRequires:	libbeagle-devel >= 0.3.0
BuildRequires:	libbzip2-devel
BuildRequires:	rarian-devel
BuildRequires:	lzma-devel
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils >= %{req_gnome_doc_utils_version}
BuildRequires:	libxslt-devel texinfo
BuildRequires:	desktop-file-utils
BuildRequires:  gnome-common
BuildRequires:  gettext-devel

%description
Help browser for GNOME 2 which supports docbook documents, info and man.

%prep
%setup -q
#%patch0 -p1 -b .libxul
%patch2 -p1 -b .add-mime-handling
%patch4 -p1 -b .title

# needed by patch 0
#autoreconf -fi

%build
%configure2_5x \
    --with-search=beagle \
    --enable-debug \
    --with-gecko=libxul-embedding \

%make

%install
rm -rf %{buildroot}

%makeinstall_std

desktop-file-install \
  --remove-category="Application" \
  --add-only-show-in="GNOME" \
  --add-category="Documentation" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/gnome-help.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %name
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif


%preun
%preun_uninstall_gconf_schemas %name
%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/yelp
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.26.0-2mdv2009.1
+ Revision: 361846
- rebuild for xulrunner 1.9.0.8

* Tue Mar 17 2009 Funda Wang <fundawang@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356448
- New version 2.26.0

* Thu Mar 12 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 354135
- rebuild for new xulrunner

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 346898
- new version
- bump deps
- drop patch 0

* Wed Feb 04 2009 Funda Wang <fundawang@mandriva.org> 2.24.0-7mdv2009.1
+ Revision: 337420
- really rebuild

* Wed Feb 04 2009 Funda Wang <fundawang@mandriva.org> 2.24.0-6mdv2009.1
+ Revision: 337277
- rebuild for new xulrunner

* Wed Dec 24 2008 Funda Wang <fundawang@mandriva.org> 2.24.0-5mdv2009.1
+ Revision: 318250
- fix spec
- rebuild for new xulrunner

* Fri Nov 14 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-4mdv2009.1
+ Revision: 303095
- rebuild for new xulrunner

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-3mdv2009.0
+ Revision: 289236
- rebuild for new xulrunner

* Fri Sep 26 2008 Tiago Salem <salem@mandriva.com.br> 2.24.0-2mdv2009.0
+ Revision: 288721
- add strict version requires to xulrunner

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286842
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278583
- new version

* Fri Aug 22 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-1mdv2009.0
+ Revision: 275023
- fix build deps
- new version
- drop patch 5

* Wed Aug 20 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.1-5mdv2009.0
+ Revision: 274359
- Patch5 (SVN): fix security vulnerability MDVA-2008-175

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-4mdv2009.0
+ Revision: 254908
- build with xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.23.1-3mdv2009.0
+ Revision: 236378
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 2.23.1-2mdv2009.0
+ Revision: 231267
- Rebuild for firefox 2.0.0.15

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 231169
- fix buildrequires
- new version
- update license
- drop patch 0

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 17 2008 Funda Wang <fundawang@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 208308
- update to new version 2.22.1

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 190447
- rebuild for firefox 2.0.0.13

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183054
- new version

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 2.21.90-2mdv2008.1
+ Revision: 164646
- rebuild for new FF

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159521
- new version

  + Frederic Crozat <fcrozat@mandriva.com>
    - Remove patch merged upsteam

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 146376
- new version
- drop patch 7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-3mdv2008.1
+ Revision: 120715
- build with new libbeagle (bug #36139)
- rebuild for new libbeagle

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for latest firefox

* Tue Dec 04 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.21.1-2mdv2008.1
+ Revision: 115412
- rebuild for new libbeagle

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 115206
- new version
- drop patch 5

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-5mdv2008.1
+ Revision: 106065
- rebuild for new firefox

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-4mdv2008.1
+ Revision: 100430
- rebuild for new firefox

* Thu Oct 18 2007 Funda Wang <fundawang@mandriva.org> 2.20.0-3mdv2008.1
+ Revision: 99847
- Rebuild against new FF

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.20.0-2mdv2008.0
+ Revision: 90391
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - new version

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - update url

* Mon Aug 27 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.90-2mdv2008.0
+ Revision: 71854
- Fix BuildRequires
- Fix lzma patch

  + Pascal Terjan <pterjan@mandriva.org>
    - Fix a typo in LZMA patch

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add lzma support (P7, fixes #32579, man pages breaks though :()

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63170
- new version
- rediff patch 5
- drop patch 7

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.1-3mdv2008.0
+ Revision: 60370
- Patch7 (SVN): fix ghelp: uri handling (Mdv bug #32401)

* Fri Aug 03 2007 Funda Wang <fundawang@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 58415
- Add patch to fix langs not decleared bug
- Add patch to fix bad comment style(c++)
- rebuild for ff 2.0.0.6

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add buildrequires on librarian-devel
    - drop patch 5
    - pass option with-gecko=firefox
    - drop old menu style
    - drop X-MandrivaLinux category
    - new version

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-2mdv2008.0
+ Revision: 39890
- rebuild for new ff

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14090
- new version


* Sat Mar 31 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 150066
- Only show menu entry under GNOME

* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 148210
- rebuild for mozilla-firefox 2.0.0.3

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142105
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not package huge (1Mb!) ChangeLog

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.16.2-6mdv2007.1
+ Revision: 126289
- rebuild for new firefox
- fix buildrequires (bug #28523)
- enable debugging support

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.16.2-4mdv2007.1
+ Revision: 106104
- rebuild

* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 2.16.2-3mdv2007.1
+ Revision: 103561
- bump release
- add fedora patches:
 * register yelp as viewer for docbook files
 * fix apropos handling

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 92045
- take out the trash
- fix firefox detection

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 85858
- new version

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-2mdv2007.0
+ Revision: 79216
- rebuild for new firefox
- unpack patch
- Import yelp

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Rebuild with new firefox

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch 5
- New release 2.16.0

* Sat Sep 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-3mdv2007.0
- Update patch5 with another crash fix (Mdv bug #24830)

* Tue Aug 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.91-2mdv2007.0
- Patch5 (CVS): fix various crashes (Mdv bug #24830)
- don't depend on firefox directly now

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- rebuild for new firefox

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-3mdv2007.0
- Rebuild with latest dbus

* Sun Jul 30 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- rebuild for new firefox

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1
- New release 2.15.5

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- update file list
- New release 2.15.3

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2
- enable beagle support

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-7mdk
- rebuild for new firefox on stupid x86_64 as well

* Tue May 09 2006 Stefan van der Eijk <stefan@eijk.nu> 2.14.1-6mdk
- rebuild for sparc

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-5mdk
- rebuild for new firefox

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-4mdk
- Rebuild with latest firefox

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-3mdk
- fix buildrequires

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- fix buildrequires

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Don't build beagle support for now

* Tue Feb 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-6mdk
- Oops, update icon cache in postun, not preun (thanks gw666)

* Tue Feb 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-5mdk
- update icon cache at install/removal
- ensure binaries are there when running postun

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 2.12.2-4mdk
- rebuild for new mozilla-firefox
- use mkrel

* Mon Jan 09 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- Rebuild with latest FF

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Don't enforce mozilla/firefox version in the spec file, only
  enforce the version used at build time (easier backport, idea 
  from lifeara package)

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.12.1-5mdk
- rebuilt against openssl-0.9.8a

* Wed Oct 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-4mdk
- Rebuild with FF 1.0.7

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Remove generated files before build

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Fix gnome-doc-utils dependencies

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patch0 (merged upstream)

* Thu Sep 15 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-5mdk 
- Add requires_exception to prevent from asking mozilla

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-4mdk 
- Rebuild with FF 1.0.6

* Thu May 26 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-3mdk 
- Really rebuild with firefox 1.0.4

* Thu May 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.10.0-2mdk
- Rebuild

* Tue May 03 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-1mdk
- New release 2.10.0
- enable info
- requires new gnome-doc-utils
- update file list
- update buildrequires

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.5-3mdk 
- Rebuild with latest howl

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.5-2mdk 
- Fix menu title

* Mon Dec 06 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.5-1mdk
- New release 2.6.5

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-1mdk
- New release 2.6.4
- Remove patch5 (merged upstream)

* Tue Sep 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Patch5: fix PO typo (found by Adrian)
- Enable libtoolize

* Wed Sep 01 2004 <fcrozat@mandrakesoft.com> 2.6.2-1mdk
- New release 2.6.2

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- Fix menu

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source URL
- New release 2.6.1

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.0-2mdk
- fix buildrequires
- spec cosmetics

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patches 0 (yelp-pregenerate is dead), 1, 3 (no longer needed)
  2 (no longer applicable) 
- Regenerate patch4

